
TYPO3.Flow - Task # 33705

Status: Resolved Priority: Should have
Author: Robert Lemke Category:
Created: 2012-02-06 Assigned To: Robert Lemke
Updated: 2012-04-11 Due date:
Sprint:
PHP Version: 5.3
Has patch: No
Complexity: medium
Subject: Inconsistent spelling of sub package and class names
Description

The FLOW3 package contains, for historical reasons, sub packages and in consequence namespaces and class names which don't
follow the naming conventions which specify UpperCamelCase.

To be in line with the conventions, these namespaces should be renamed, for example "AOP" should become "Aop". However,
package keys are not affected and thus "FLOW3" stays "FLOW3".

Related issues:
related to TYPO3.FormBuilder - Bug # 36112: change filename spelling correspo... Resolved 2012-04-15
related to TYPO3.Form - Bug # 36113: change filename spelling corresponig to ... Resolved 2012-04-15

Associated revisions
Revision 331a78e8 - 2012-04-11 14:09 - Robert Lemke

[!!!][TASK] Sub package name case and location adjustments

This change set contains (mostly) renames and relocations of FLOW3 sub
namespaces. These changes are necessary to meet the FLOW3 coding
guidelines and naming conventions and to support the new CLI / HTTP
and MVC structure.

\TYPO3\FLOW3\AOP -> \TYPO3\FLOW3\Aop
\TYPO3\FLOW3\MVC -> \TYPO3\FLOW3\Mvc
\TYPO3\FLOW3\MVC\CLI -> \TYPO3\FLOW3\Cli
\TYPO3\FLOW3\MVC\Web\Routing -> \TYPO3\FLOW3\Mvc\Routing
\TYPO3\FLOW3\MVC\Web\Request -> \TYPO3\FLOW3\Mvc\ActionRequest
\TYPO3\FLOW3\MVC\Web\Response -> \TYPO3\FLOW3\Http\Response
\TYPO3\FLOW3\MVC\Web\SubRequest -> \TYPO3\FLOW3\Mvc\ActionRequest
TYPO3\FLOW3\MVC\Web\SubResponse -> TYPO3\FLOW3\Http\Response
\TYPO3\FLOW3\MVC\Controller\CommandController ->
    \TYPO3\FLOW3\Cli\CommandController
\TYPO3\FLOW3\Property\DataType\Uri -> \TYPO3\FLOW3\Http\Uri

\TYPO3\FLOW3\MVC\Web\RequestBuilder doesn't exist anymore. If
you need to create requests, do "new ActionRequest($parentRequest)" 
\TYPO3\FLOW3\MVC\Web\SubRequestBuilder doesn't exist anymore.
If you need to create sub requests, do "new ActionRequest($parentRequest)""

Note that this change set contains most but not every single adjustment
to the new locations as it is part of a bigger change for the respective
feature.

Change-Id: Idd28eb709d9543aff97b333dcbf6fa4d544b5746
Resolves: #33705
Related: #33371
Releases: 1.1

Revision e04da494 - 2012-04-29 12:54 - Karsten Dambekalns

[TASK] Adjust some leftover uppercase namespace parts

There were still some uses of AOP and MVC in the codebase.

Change-Id: I9df2f0db0c784b34683af476f1e468f0479030cf
Related: #33705
Releases: 1.1

History
#1 - 2012-03-21 16:48 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9780

#2 - 2012-03-21 17:05 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9780

#3 - 2012-03-21 17:08 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9780

#4 - 2012-03-26 18:20 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9780

#5 - 2012-03-27 18:43 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9780

#6 - 2012-03-28 12:05 - Gerrit Code Review
Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9780

#7 - 2012-03-28 12:29 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9780

#8 - 2012-03-28 15:31 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9780

#9 - 2012-04-03 17:04 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9780

#10 - 2012-04-05 16:16 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9780

#11 - 2012-04-11 12:33 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9780

#12 - 2012-04-11 14:11 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9780

#13 - 2012-04-11 14:38 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:331a78e8ba19923951a83d50e5f30cc09068db61.
